Public Beta E2-Gemini4.4 fuer die 7020

  • Hi all.


    I installed the Beta E2-Gemini4.4 on my dm7020; it is very nice.


    I want to use it and I need openvpn, but it is not listed among the online addons, thus I tried to install it by myself copying the tun.ko kernel module in /lib/modules/2.6.9/kernel/drivers/net/ and the liblzo and the binary for openvpn in the appropriate locations in the filesystem.


    When I try to load the module, I receive the following error:
    # modprobe tun
    insmod: cannot insert `/lib/modules/2.6.9/kernel/drivers/net/tun.ko': File exists (-1): File exists
    modprobe: failed to load module tun


    and dmesg returns:
    # dmesg
    ...........
    Universal TUN/TAP device driver 1.5 (C)1999-2002 Maxim Krasnyansky
    devfs_mk_dev: could not append to parent for net/tun
    tun: Can't register misc device 200


    The tun.ko module I use is compiled for kernel 2.6.9-r5 for powerpc architecture (it works with the Enigma2 Image from Pcd), and I cannot understand why it does not work with thise Gemini2.


    Can someone give mi any suggestion?


    Thanks to all!

  • Hi,
    perhaps you use a newer version of PCD E2. The driver must work with the used kernel.


    ciao

    ---
    7020, Combo, Solo2, Ultimo

  • Quote

    Originally posted by Trial
    Hi,
    perhaps you use a newer version of PCD E2. The driver must work with the used kernel.


    ciao


    The image from PCD uses the same kernel version of the Gemini2 4.40 (at the best of my knowledge), thus I'm surprised form that error!


    The "uname -a" command returns 2.6.9 #6 as kernel version. How can I check whether the version of the module is correct or not?


    Maybe, the kernel is compiled with some different options respect to the other and some kind of conflict arise.


    I also used the same module with an Enigma 1 image without loading problem.


    Do you know where I can retrieve another tun.ko file for testing with Gemini2 4.40?


    Ciao.

  • Hi.


    Yesterday, I solved the problem by loading the tun.ko module at boot time.
    I simply modified the file /usr/script/gmodules_script.sh in the "case" section at the item "second)" by adding the modprobe command.


    I don't known if this is the best choice, since I don't know the exact boot sequence adopted by the distribution, but it works fine!


    Probably some conflict exists with other modules and the tun.ko must be loaded before.


    ciao


  • Hi Verito,


    The Gemini E2 image is not updated any more.


    If there is any special feature you like - please ask for it in the Pcd image thread. I will try to include it in the next version - although I am not as expert as the Gemini Team ! :)


    Cheers, pcd.


  • Thanks pcd!


    I tried your image also. My first feeling on it has been very good.


    In the specific case of openvpn, I successfully installed all the need to make it working, and I also prepared the packeges to install them (if you like, I can post them in the Pcd image thread).


    I was not aware the gemini E2 image was not supported any more!


    I will try the pcd 3.1 image deeper!
    Thank you.


    Verito